OSMC Update Error. version: 2.8.6-kodi-2.8.6-Jarvis-16.0

Hi OSMC Team!

Having issues with OSMC update, will you be able to help?
You can find logs here: http://pastebin.com/vWb8AvkJ

Tried:
apt-get update
apt-get -f install
apt-get dist-upgrade
and off-course reboot :slight_smile:

I can reproduce issue every time by going to My OSMC → Updates → Manual Controls → Scan for updates now. Then OSMC starts to download ±37 packages and error message appears “OSMC Update Error”.

I don’t recognise that package name or version. Did you manually install some packages? Possibly a Kodi package?

No link to any log either

Sorry just added logs link. OSMC was installed as described with installer from official page.

Those aren’t a complete set of logs. We would need to see the actual apt logs.

Which version did you install? We have been shipping 16.1 for some time now.

Well in system info it shows: Open Source Media Center running Kodi 16.1.

You need logs from : osmc@osmc:/var/log/apt ?

Kernel looks older that the newest you ship:
osmc@osmc:/var/log/apt$ uname -a
Linux osmc 4.4.13-5-osmc #1 SMP PREEMPT Mon Jun 20 16:34:27 UTC 2016 armv7l GNU/Linux

Please see http://osmc.tv/wiki/general/how-to-submit-a-useful-support-request/ for advice on how to help us help you.

Sorry I’ve missed that.
Any way please see http://paste.osmc.io/adojajozup

You have run a lot of manual apt get commands, including

Start-Date: 2016-07-31  13:01:01
Commandline: apt-get upgrade

Which will break upgrades on OSMC. I recommend you try and fix your package installation states first, but you will probably need to reinstall.